1. Live Endpoints
PearlPOS
  • Inbound
    • postMasterdata
      POST
    • postPOSdata
      POST
  • Outbound
    • POSLog XSD
    • POSlog
      POST
  • Live Endpoints
    • getCustomers
      GET
    • getCustomerOrders
      GET
    • verifyDigitalArticle
      GET
    • verifyCustomerReference
      GET
    • purchaseDigitalArticle
      POST
    • getRelatedProducts
      GET
    • getSerialNumberVerification
      GET
    • getAvailableValueCodes
      POST
    • getValueCodes
      GET
    • getStockLevels
      GET
    • lookupPrices
      POST
    • lookupMargins
      POST
  • Schemas
    • TransactionType
    • RetailTransactionType
    • LineItemType
    • TransactionLinkType
    • SaleReturnType
    • RetailPriceModifierType
    • ActionAmountType
    • TaxType
    • CustomerInformationType
    • CustomerOrderType
    • TenderLineItemType
    • TenderType
    • AuthorizationType
    • RoundingType
    • VoidsLineItemType
    • PriceModificationType
    • TenderControlTransactionType
    • TillSettleType
    • TenderSummaryType
    • SummaryAmountType
    • ForeignSummaryAmountType
    • TenderLoanType
    • TenderPickupType
    • TotalsType
    • POSLog
  1. Live Endpoints

purchaseDigitalArticle

Developing
POST
/purchaseDigitalArticle
This endpoint shall be implemented by the customer system and called by PearlPOS to register the purchase of a digital article.

Request

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/purchaseDigitalArticle' \
--header 'Content-Type: application/json' \
--data '{
    "article": "string",
    "store": "string",
    "chain": "string",
    "salesPriceIncVat": 0,
    "salesPriceExVat": 0,
    "vatPercentage": 0,
    "currency": "string",
    "getInstallKeys": "string",
    "order": "string"
}'
Response Response Example
{
    "success": true,
    "activationText": "string",
    "supplierOrderReference": "string",
    "supplierId": "string"
}
Modified at 2025-12-12 08:57:20
Previous
verifyCustomerReference
Next
getRelatedProducts
Built with